Bug 275719 - translated presence strings in the presence applet
Summary: translated presence strings in the presence applet
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: presence-applet (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks: tppreviewrelease
  Show dependency treegraph
 
Reported: 2011-06-15 15:51 UTC by George Goldberg
Modified: 2012-07-06 12:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Goldberg 2011-06-15 15:51:54 UTC
Human readable, translated presence strings in the Presence Applets (nwoki - ask D_Ed for details)
Comment 1 David Edmundson 2011-06-18 15:15:48 UTC
Just actually checked the source code. 

The code is being translated.

It's simply missing a capital letter at the start of each word, and maybe "dnd" -> "Busy".
Comment 2 Martin Klapetek 2011-06-18 16:24:23 UTC
DND != Busy. With DND you say "do not write me now (I'm watching movie, I'm
on a meeting etc)" while Busy says "I'm busy, I might respond later".
Comment 3 David Edmundson 2011-06-18 17:07:20 UTC
I agree with your sentiment, but I was referring to converting the simple presence type enum value which is called busy to the string "dnd".

Really the whole thing is wrong as the dataengine should be passing the presence status, not the simpler enum value. In that case we can treat "dnd" and "busy" differently.
Comment 4 Francesco Nwokeka 2011-07-05 21:10:44 UTC
So this is to be modified in the dataengine.
I can do this in two ways:

1 - modify the "dnd" string i get from the dataengine and save it as "busy" (this would be redundant with the var PresenceType

2 - eliminate the var PresenceStatus and use the PresenceType to indicate presence status in the applet.
Comment 5 Francesco Nwokeka 2011-07-12 14:44:26 UTC
Git commit 44dadfb3fe7929754f5c4d9af3bf912d64bdbc29 by Francesco Nwokeka.
Committed on 12/07/2011 at 16:45.
Pushed by nwokeka into branch 'master'.

FIX presence status messages

All presence status messages are translated and start with an upper case letter.
This fix makes Martin a happy man!
BUG: 275719

M  +29   -5    package/contents/ui/PresenceChooser.qml     

http://commits.kde.org/telepathy-presence-applet/44dadfb3fe7929754f5c4d9af3bf912d64bdbc29